/*
 * RomRaider Open-Source Tuning, Logging and Reflashing
 * Copyright (C) 2006-2018 RomRaider.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
 */

package com.romraider.io.protocol.ncs.iso14230;

import static com.romraider.util.ByteUtil.asByte;
import static com.romraider.util.ByteUtil.asInt;

public final class NCSChecksumCalculator {

    private NCSChecksumCalculator() {
        throw new UnsupportedOperationException();
    }

    public static byte calculateChecksum(byte[] bytes) {
        int total = 0;
        for (int i = 0; i < (bytes.length - 1); i++) {
            byte b = bytes[i];
            total += asInt(b);
        }
        return asByte(total & 0xFF);
    }
}
